Bug 19780 - Некорректная проверка ограничений доступа через файлы hosts.{allow,deny} (CVE-2008-6123)
: Некорректная проверка ограничений доступа через файлы hosts.{allow,deny} (CVE...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/net-snmp)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://cve.mitre.org/cgi-bin/cvename....
: security
:
:
  Show dependency tree
 
Reported: 2009-04-26 22:40 by
Modified: 2009-05-25 20:24 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-04-26 22:40:21
В функции netsnmp_udp_fmtaddr (snmplib/snmpUDPDomain.c) в net-snmp версий 5.0.9
до 5.4.2.1, при использовании TCP wrappers для авторизации клиентов,
некорректно производится проверка правил в файлах hosts.allow, позволяя
клиентам преодолевать ограничения доступа.
Upstream выпустил патч, исправляющий ошибку: 
http://net-snmp.svn.sourceforge.net/viewvc/net-snmp?view=rev&revision=17367
------- Comment #1 From 2009-04-30 01:35:10 -------
я в отпуске и не могу исправить ошибку в ближайшие пару недель
------- Comment #2 From 2009-05-25 20:24:41 -------
fixed in 5.4.2.1-alt2
------- Comment #3 From 2009-05-25 20:24:56 -------
closed